%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define _udevrulesdir /lib/udev/rules.d

Name:             rtl-sdr
URL:              http://sdr.osmocom.org/trac/wiki/rtl-sdr
Version:          0.5.3
Release:          %mkrel 1
License:          GPLv2+
BuildRequires:    cmake
BuildRequires:    %{_lib}usb-compat0.1-devel
Requires(pre):    shadow-utils
Group:            Communications
Summary:          SDR utilities for Realtek RTL2832 based DVB-T dongles
Source0:          https://github.com/steve-m/librtlsdr/archive/v%{version}.tar.gz#/librtlsdr-%{version}.tar.xz

%description
This package can turn your RTL2832 based DVB-T dongle into a SDR receiver.

%package -n %{libname}
Summary:          Library files for rtl-sdr
Group:            System/Libraries
Requires:         %{name} = %{version}-%{release}

%description -n %{libname}
Library files for rtl-sdr.

%package -n %{devname}
Summary:          Development files for rtl-sdr
Group:            Development/Libraries
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for rtl-sdr.

%prep
%setup -q -n librtlsdr-%{version}

rm -rf src/getopt

%build
%cmake .. -DDETACH_KERNEL_DRIVER=ON
%make

%install
rm -rf %buildroot
cd build
%makeinstall_std DESTDIR=%{buildroot}

# remove static libs
rm -f %{buildroot}%{_libdir}/*.a

# Fix udev rules and allow access only to users in rtlsdr group
sed -i 's/MODE:="0666"/MODE:="0660", ENV{ID_SOFTWARE_RADIO}="1"/' ../rtl-sdr.rules
install -Dpm 644 ../rtl-sdr.rules %{buildroot}%{_udevrulesdir}/10-rtl-sdr.rules

%files
%doc AUTHORS
%{_bindir}/*
%{_udevrulesdir}/10-rtl-sdr.rules

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jan 10 2016 bb <bb> 0.5.3-1pclos2016
- update 0.5.3
